//------------------------------------------------------------------------------
//
// Copyright (c) 2004-2005  Matt Brunk  <info@smartcache.net>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License VERSION 2 as
// published by the Free Software Foundation.  You are not allowed to
// use any other version of the license; unless you got the explicit
// permission from the author to do so.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//------------------------------------------------------------------------------
#if !defined(AFX_IntEdit_H__6C8E2344_4365_11D2_A160_00C0F026E611__INCLUDED_)
#define AFX_IntEdit_H__6C8E2344_4365_11D2_A160_00C0F026E611__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// IntEdit.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CIntEdit window

class CIntEdit : public CEdit
{
// Construction
public:

	CIntEdit();
	virtual ~CIntEdit();

	void	SetMin(int iMin);
	void	SetMax(int iMax);
	void	SetRange(int iMin, int iMax);
	int		GetValue();
	void	SetOwner(HWND hWnd);
	void	SetValue(int value);
	bool	IsEmpty();

	static const UINT s_nDefaultMsg;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIntEdit)
	//}}AFX_VIRTUAL

	// Generated message map functions
protected:
	//{{AFX_MSG(CIntEdit)
	afx_msg void OnUpdate();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

	CString	m_szLastValidValue;	// last valid string
	int		m_iValue;
	int		m_iMin;
	int		m_iMax;
	bool	m_bDoingUpdate;
	HWND	m_hwndDest;

};

#define ON_WM_INT_EDIT_UPDATE(memberFxn)	\
	ON_REGISTERED_MESSAGE(CIntEdit::s_nDefaultMsg,memberFxn)

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IntEdit_H__6C8E2344_4365_11D2_A160_00C0F026E611__INCLUDED_)
