//------------------------------------------------------------------------------
//
// Copyright (c) 2004-2005  Matt Brunk  <info@smartcache.net>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License VERSION 2 as
// published by the Free Software Foundation.  You are not allowed to
// use any other version of the license; unless you got the explicit
// permission from the author to do so.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//------------------------------------------------------------------------------
#ifndef TRIPLEDES_H_INCLUDED__
#define TRIPLEDES_H_INCLUDED__

typedef unsigned char TripleDesBufType[8];

class CTripleDES
{
public:
	CTripleDES(const TripleDesBufType keyLeft, const TripleDesBufType keyRight);
	virtual ~CTripleDES();

	void Encrypt(TripleDesBufType inBlock, TripleDesBufType outBlock);
	void Decrypt(TripleDesBufType inBlock, TripleDesBufType outBlock);

private:
	TripleDesBufType m_keyLeft;
	TripleDesBufType m_keyRight;
};	//lint !e1712 default constructor not defined

#endif	// TRIPLEDES_H_INCLUDED__
